Minimum requirements for using Telstra Trades Assist

Web browser

Sign in to Trades Assist from the a web browser on your computer. Most modern browsers work well, but we recommend:

Mobile app

Our mobile app will work the following:

Apple devices

  • iPhone or iPad running iOS version 10.3 or newer (iOS 11 or newer recommended)
  • iPad running iPadOS version 13.1 or newer
  • Apple Watch (notification mirroring only)

You’ll also need an Apple ID to download the app from the App Store.

Android devices

  • Android phones running Android version 6.0 (Marshmallow) or newer
  • Some features may not be available on Android devices

You’ll also need a Google Account to download the app from Google Play.

See which browser or software version you have

Web browser

Apple devices

  1. Open the Settings app
  2. Tap General > About
  3. See "Software Version"

Android devices

  1. Open the Settings app
  2. Tap System > Advanced > System update
  3. See "Android version"

Using an unsupported browser or software

For the newest features and security we recommended updating your browser or software to the latest version. To ensure we offer the best possible experience using Telstra Trades Assist, we don’t support browsers or devices not mentioned above.

Was this article helpful?
2 out of 2 found this helpful

Comments

0 comments

Article is closed for comments.